Scenario to test the CLI 'maps' command
This scenario is used as an example in the STC wiki page
Change-Id: Iaef719ee53c8ad9fa2ca467aee5cf23684855968
diff --git a/tools/test/scenarios/bin/onos-find-map b/tools/test/scenarios/bin/onos-find-map
new file mode 100755
index 0000000..b84b1a1
--- /dev/null
+++ b/tools/test/scenarios/bin/onos-find-map
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# -----------------------------------------------------------------------------
+# Invokes the ONOS CLI and looks for a 'maps' entry with the given name
+# -----------------------------------------------------------------------------
+
+NODE=$1
+MAP=$2
+ID=$3
+
+map_text=`( onos ${NODE} onos:maps ) | grep ${MAP}`
+
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+
+map_size=`echo ${map_text} | sed s#^.*size=##`
+echo "@stc ${ID}Size=${map_size}"